import * as dateFns from 'date-fns'

export function toSlug (input) {
  return input.substring(0, input.indexOf('.')).trim()
}

export function formatDate (date) {
  return dateFns.format(Date.parse(date), 'PPP')
}

/**
 * Silliness to make sure dates don't get passed to the
 * page function below as [object Object]
 * @param {*} obj
 * @returns
 */
export function stringifyAndParse (obj) {
  return JSON.parse(JSON.stringify(obj))
}
